/*
 * EtherPix library
 *
 * Copyright 2010-2017 Stefan Schuermans <stefan schuermans info>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ETP_INC_TYPES_H
#define ETP_INC_TYPES_H

#include <stdint.h>

/** a single byte */
typedef uint8_t etp_u8_t;

/** a EtherPix display */
typedef struct etp_display_s etp_display_t;

/** format of pixel data */
typedef enum etp_pixfmt_e {
  etp_pixfmt_rgb24, /**< 24 bit RGB data, 3 bytes: red, green, blue */
  etp_pixfmt_bgr24, /**< 24 bit BGR data, 3 bytes: blue, green, red */
} etp_pixfmt_t;

/**
 * \brief a displayer
 *
 * sends pictures to a display whenever the maximum interval expired
 */
typedef struct etp_displayer_s etp_displayer_t;

#endif /* #ifndef ETP_INC_TYPES_H */

